Bug 234786 - Review Request: perl-Email-MIME-Creator - Email::MIME constructor for starting anew
Review Request: perl-Email-MIME-Creator - Email::MIME constructor for startin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On: 234785
Blocks: perl-Email-Reply
  Show dependency treegraph
 
Reported: 2007-04-01 19:10 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 21:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-04-01 19:10:12 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Email-MIME-Creator.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Email-MIME-Creator-1.452-1.src.rpm
Description: 
This module provides an Email::MIME constructor.

Note: BuildRequires: perl-Email-Simple-Creator (234785)
Comment 2 Bernard Johnson 2007-04-30 18:57:22 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 97f55f12a4c5f31df28fb7f7f62522b7
     MD5SUM upstream package: 97f55f12a4c5f31df28fb7f7f62522b7
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [!] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. Missing BR perl(Email::Date)
2. Latest version is 1.453

=== Final Notes ===
1. Any reason not to package Changes in %doc?
Comment 3 Tom "spot" Callaway 2007-05-02 14:13:08 EDT
Nope. No reason not to. Bumped to 1.453, fixed missing BR.

New SRPM:
http://www.auroralinux.org/people/spot/review/perl-Email-MIME-Creator-1.453-1.fc7.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/perl-Email-MIME-Creator.spec
Comment 4 Bernard Johnson 2007-05-02 14:46:04 EDT
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 29c0550e0320d53f2b9f933f0442ab17
     MD5SUM upstream package: 29c0550e0320d53f2b9f933f0442ab17
 [x] Latest version is packaged.

================
*** APPROVED ***
================
Comment 5 Tom "spot" Callaway 2007-05-03 13:50:57 EDT
New Package CVS Request
=======================
Package Name: perl-Email-MIME-Creator
Short Description: Email::MIME constructor for starting anew
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com
Comment 6 Tom "spot" Callaway 2007-05-03 21:20:54 EDT
Built, thanks.

Note You need to log in before you can comment on or make changes to this bug.